XDesktopEntry (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.util.XDesktopEntry class
Date: 2021-03-21

net.sourceforge.jnlp.util

## Class XDesktopEntry

- java.lang.Object
- - net.sourceforge.jnlp.util.XDesktopEntry

- All Implemented Interfaces:
    GenericDesktopEntry

      public class XDesktopEntry
      extends java.lang.Object
      implements GenericDesktopEntry

  This class builds a (freedesktop.org) desktop entry out of a `JNLPFile` . This entry can be used to install desktop shortcuts. See xdg-desktop-icon (1) and http://standards.freedesktop.org/desktop-entry-spec/latest/ for more information

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `BROWSERS`
    `static java.lang.String` | `FAVICON`
    `static java.lang.String` | `JAVA_ICON_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDesktopEntry(JNLPFile file)` Create a XDesktopEntry for the given JNLP file

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createDesktopShortcuts(net.sourceforge.jnlp.security.dialogresults.AccessWarningPaneComplexReturn.ShortcutResult menu, net.sourceforge.jnlp.security.dialogresults.AccessWarningPaneComplexReturn.ShortcutResult desktop, boolean isSigned)` Create a desktop shortcut for this desktop entry
    `void` | `createShortcutOnWindowsDesktop()`
    `void` | `createWindowsMenu()`
    `static java.lang.String` | `findFreedesktopOrgDesktopPathCatch()`
    `static java.lang.String` | `getBrowserBin()`
    `java.io.File` | `getDesktopIconFile()`
    `java.lang.String` | `getDesktopIconFileName()`
    `java.io.File` | `getGeneratedJnlpFileName()`
    `static java.lang.String` | `getJavaWsBin()`
    `java.io.File` | `getLinuxMenuIconFile()`
    `void` | `refreshExistingShortcuts(boolean desktop, boolean menu)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JAVA_ICON_NAME

          public static final java.lang.String JAVA_ICON_NAME

      See Also:
        Constant Field Values

    - #### BROWSERS

          public static final java.lang.String[] BROWSERS

    - #### FAVICON

          public static final java.lang.String FAVICON

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XDesktopEntry

          public XDesktopEntry(JNLPFile file)

      Create a XDesktopEntry for the given JNLP file
      Parameters:
        `file` - a `JNLPFile` that indicates the application to launch

  - ### Method Detail

    - #### getBrowserBin

          public static java.lang.String getBrowserBin()

    - #### getJavaWsBin

          public static java.lang.String getJavaWsBin()

    - #### createDesktopShortcuts

          public void createDesktopShortcuts(net.sourceforge.jnlp.security.dialogresults.AccessWarningPaneComplexReturn.ShortcutResult menu,
                                             net.sourceforge.jnlp.security.dialogresults.AccessWarningPaneComplexReturn.ShortcutResult desktop,
                                             boolean isSigned)

      Create a desktop shortcut for this desktop entry
      Specified by:
        `createDesktopShortcuts` in interface `GenericDesktopEntry`
      Parameters:
        `menu` - how to create in menu
        `desktop` - how to create on desktop
        `isSigned` - if it is signed

    - #### refreshExistingShortcuts

          public void refreshExistingShortcuts(boolean desktop,
                                               boolean menu)

      Specified by:
        `refreshExistingShortcuts` in interface `GenericDesktopEntry`

    - #### getGeneratedJnlpFileName

          public java.io.File getGeneratedJnlpFileName()

      Specified by:
        `getGeneratedJnlpFileName` in interface `GenericDesktopEntry`

    - #### getDesktopIconFile

          public java.io.File getDesktopIconFile()

      Specified by:
        `getDesktopIconFile` in interface `GenericDesktopEntry`

    - #### getLinuxMenuIconFile

          public java.io.File getLinuxMenuIconFile()

      Specified by:
        `getLinuxMenuIconFile` in interface `GenericDesktopEntry`

    - #### getDesktopIconFileName

          public java.lang.String getDesktopIconFileName()

      Specified by:
        `getDesktopIconFileName` in interface `GenericDesktopEntry`

    - #### findFreedesktopOrgDesktopPathCatch

          public static java.lang.String findFreedesktopOrgDesktopPathCatch()

    - #### createShortcutOnWindowsDesktop

          public void createShortcutOnWindowsDesktop()
                                              throws java.io.IOException

      Specified by:
        `createShortcutOnWindowsDesktop` in interface `GenericDesktopEntry`
      Throws:
        `java.io.IOException`

    - #### createWindowsMenu

          public void createWindowsMenu()
                                 throws java.io.IOException

      Specified by:
        `createWindowsMenu` in interface `GenericDesktopEntry`
      Throws:
        `java.io.IOException`

Submit a bug or feature